Update OAuth app
Partially update an OAuth app. Only provided fields are changed. If client_secret is provided, it will be re-encrypted.
Authorization
User API Key User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
uuidCookie Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/oauth-apps/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",
"alias": "string",
"name": "string",
"client_id": "string",
"client_secret_masked": "string",
"auth_url": "string",
"token_url": "string",
"scopes": [
"string"
],
"tenant_id": "string",
"instance_url": "string",
"gitlab_base_url": "string",
"hubspot_app_id": "string",
"authorization_server_url": "string",
"is_global": true,
"is_enabled": true,
"additional_config": {},
"template_type": "github",
"template_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}